/*
 * Copyright 2018 NXP.
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

#ifndef _PIN_MUX_H_
#define _PIN_MUX_H_

/*!
 * @addtogroup pin_mux
 * @{
 */

/***********************************************************************************************************************
 * API
 **********************************************************************************************************************/

#if defined(__cplusplus)
extern "C" {
#endif

/*!
 * @brief Calls initialization functions.
 *
 */
void BOARD_InitBootPins(void);

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitPins(void);

/*! @name PORTA4 (number 26), J24[7]/J500[14]/SW2
  @{ */
#define BOARD_SW2_GPIO GPIOA /*!<@brief GPIO device name: GPIOA */
#define BOARD_SW2_PORT PORTA /*!<@brief PORT device name: PORTA */
#define BOARD_SW2_PIN 4U     /*!<@brief PORTA pin index: 4 */
                             /* @} */

/*! @name PORTE20 (number 9), J8[2]/J17[2]/J18[9]/J22[B27]/J500[35]/PTE20_INT/SW3/ADC0_SE0/THM2P
  @{ */
#define BOARD_SW3_GPIO GPIOE /*!<@brief GPIO device name: GPIOE */
#define BOARD_SW3_PORT PORTE /*!<@brief PORT device name: PORTE */
#define BOARD_SW3_PIN 20U    /*!<@brief PORTE pin index: 20 */
                             /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitBUTTONsPins(void);

/*! @name PORTC1 (number 44), J18[14]/J22[A40]/J500[9]/U2[3]/FTM0_CH0/LED0
  @{ */
#define BOARD_LED_GREEN1_GPIO GPIOC /*!<@brief GPIO device name: GPIOC */
#define BOARD_LED_GREEN1_PORT PORTC /*!<@brief PORT device name: PORTC */
#define BOARD_LED_GREEN1_PIN 1U     /*!<@brief PORTC pin index: 1 */
                                    /* @} */

/*! @name PORTC2 (number 45), J18[15]/J22[A39]/J24[15]/J500[11]/U2[4]/FTM0_CH1/LED1
  @{ */
#define BOARD_LED_YELLOW1_GPIO GPIOC /*!<@brief GPIO device name: GPIOC */
#define BOARD_LED_YELLOW1_PORT PORTC /*!<@brief PORT device name: PORTC */
#define BOARD_LED_YELLOW1_PIN 2U     /*!<@brief PORTC pin index: 2 */
                                     /* @} */

/*! @name PORTC3 (number 46), J1[1]/J18[16]/J22[A38]/J24[16]/J500[30]/U2[5]/FTM0_CH2/LED2
  @{ */
#define BOARD_LED_GREEN2_GPIO GPIOC /*!<@brief GPIO device name: GPIOC */
#define BOARD_LED_GREEN2_PORT PORTC /*!<@brief PORT device name: PORTC */
#define BOARD_LED_GREEN2_PIN 3U     /*!<@brief PORTC pin index: 3 */
                                    /* @} */

/*! @name PORTC4 (number 49), J22[A37]/J24[17]/J500[32]/U2[6]/FTM0_CH3/LED3
  @{ */
#define BOARD_LED_YELLOW2_GPIO GPIOC /*!<@brief GPIO device name: GPIOC */
#define BOARD_LED_YELLOW2_PORT PORTC /*!<@brief PORT device name: PORTC */
#define BOARD_LED_YELLOW2_PIN 4U     /*!<@brief PORTC pin index: 4 */
                                     /* @} */

/*! @name PORTD4 (number 61), J22[B40]/J24[25]/J500[34]/U2[7]/FTM0_CH4/LED4
  @{ */
#define BOARD_LED_GREEN3_GPIO GPIOD /*!<@brief GPIO device name: GPIOD */
#define BOARD_LED_GREEN3_PORT PORTD /*!<@brief PORT device name: PORTD */
#define BOARD_LED_GREEN3_PIN 4U     /*!<@brief PORTD pin index: 4 */
                                    /* @} */

/*! @name PORTD5 (number 62), J22[B39]/J24[26]/J500[36]/U2[8]/FTM0_CH5/LED5
  @{ */
#define BOARD_LED_YELLOW3_GPIO GPIOD /*!<@brief GPIO device name: GPIOD */
#define BOARD_LED_YELLOW3_PORT PORTD /*!<@brief PORT device name: PORTD */
#define BOARD_LED_YELLOW3_PIN 5U     /*!<@brief PORTD pin index: 5 */
                                     /* @} */

/*! @name PORTD6 (number 63), J22[B33]/J22[D34]/J24[27]/J500[13]/U2[9]/FTM1_CH0/LED6
  @{ */
#define BOARD_LED_ORANGE_GPIO GPIOD /*!<@brief GPIO device name: GPIOD */
#define BOARD_LED_ORANGE_PORT PORTD /*!<@brief PORT device name: PORTD */
#define BOARD_LED_ORANGE_PIN 6U     /*!<@brief PORTD pin index: 6 */
                                    /* @} */

/*! @name PORTD7 (number 64), J22[B34]/J24[28]/J500[15]/U2[10]/FTM1_CH1/LED7
  @{ */
#define BOARD_LED_RED_GPIO GPIOD /*!<@brief GPIO device name: GPIOD */
#define BOARD_LED_RED_PORT PORTD /*!<@brief PORT device name: PORTD */
#define BOARD_LED_RED_PIN 7U     /*!<@brief PORTD pin index: 7 */
                                 /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitLEDsPins(void);

/*! @name PORTE16 (number 5), J9[2]/J18[5]/J22[C28]/J500[2]/ADC0_SE1/THM0P
  @{ */
#define BOARD_THM0P_PORT PORTE /*!<@brief PORT device name: PORTE */
#define BOARD_THM0P_PIN 16U    /*!<@brief PORTE pin index: 16 */
                               /* @} */

/*! @name PORTE17 (number 6), J9[4]/J18[6]/J22[C29]/J500[10]/ADC0_SE5/THM0N
  @{ */
#define BOARD_THM0N_PORT PORTE /*!<@brief PORT device name: PORTE */
#define BOARD_THM0N_PIN 17U    /*!<@brief PORTE pin index: 17 */
                               /* @} */

/*! @name PORTE18 (number 7), J7[2]/J18[7]/J22[A30]/J500[18]/ADC0_SE6/THM1P
  @{ */
#define BOARD_THM1P_PORT PORTE /*!<@brief PORT device name: PORTE */
#define BOARD_THM1P_PIN 18U    /*!<@brief PORTE pin index: 18 */
                               /* @} */

/*! @name PORTE19 (number 8), J7[4]/J18[8]/J22[A28]/J500[22]/ADC0_SE7/THM1N
  @{ */
#define BOARD_THM1N_PORT PORTE /*!<@brief PORT device name: PORTE */
#define BOARD_THM1N_PIN 19U    /*!<@brief PORTE pin index: 19 */
                               /* @} */

/*! @name PORTE20 (number 9), J8[2]/J17[2]/J18[9]/J22[B27]/J500[35]/PTE20_INT/SW3/ADC0_SE0/THM2P
  @{ */
#define BOARD_THM2P_PORT PORTE /*!<@brief PORT device name: PORTE */
#define BOARD_THM2P_PIN 20U    /*!<@brief PORTE pin index: 20 */
                               /* @} */

/*! @name PORTE21 (number 10), J8[4]/J18[10]/J22[B28]/J500[12]/ADC0_SE4/THM2N
  @{ */
#define BOARD_THM2N_PORT PORTE /*!<@brief PORT device name: PORTE */
#define BOARD_THM2N_PIN 21U    /*!<@brief PORTE pin index: 21 */
                               /* @} */

/*! @name PORTB3 (number 38), J6[2]/J13[2]/J18[20]/J22[C27]/J24[12]/J500[39]/ADC1_SE2/INT1/THM3P
  @{ */
#define BOARD_THM3P_PORT PORTB /*!<@brief PORT device name: PORTB */
#define BOARD_THM3P_PIN 3U     /*!<@brief PORTB pin index: 3 */
                               /* @} */

/*! @name PORTB2 (number 37), J6[4]/J18[19]/J22[B62]/J24[11]/J500[37]/FTM0_FLT1/THM3N
  @{ */
#define BOARD_THM3N_PORT PORTB /*!<@brief PORT device name: PORTB */
#define BOARD_THM3N_PIN 2U     /*!<@brief PORTB pin index: 2 */
                               /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitTHERMISTORsPins(void);

/*! @name PORTC6 (number 51), J4[2]/J22[A7]/J22[D50]/J24[19]/J500[23]/I2C_SCL_SNSR
  @{ */
#define BOARD_ACCEL_SCL_PORT PORTC /*!<@brief PORT device name: PORTC */
#define BOARD_ACCEL_SCL_PIN 6U     /*!<@brief PORTC pin index: 6 */
                                   /* @} */

/*! @name PORTC7 (number 52), J11[2]/J22[A8]/J22[D62]/J24[20]/J500[21]/I2C_SDA_SNSR
  @{ */
#define BOARD_ACCEL_SDA_PORT PORTC /*!<@brief PORT device name: PORTC */
#define BOARD_ACCEL_SDA_PIN 7U     /*!<@brief PORTC pin index: 7 */
                                   /* @} */

/*! @name PORTB3 (number 38), J6[2]/J13[2]/J18[20]/J22[C27]/J24[12]/J500[39]/ADC1_SE2/INT1/THM3P
  @{ */
#define BOARD_ACCEL_INT1_GPIO GPIOB /*!<@brief GPIO device name: GPIOB */
#define BOARD_ACCEL_INT1_PORT PORTB /*!<@brief PORT device name: PORTB */
#define BOARD_ACCEL_INT1_PIN 3U     /*!<@brief PORTB pin index: 3 */
                                    /* @} */

/*! @name PORTA2 (number 24), J2[2]/J22[A33]/J24[5]/J500[19]/FTM2_CH1/INT2
  @{ */
#define BOARD_ACCEL_INT2_GPIO GPIOA /*!<@brief GPIO device name: GPIOA */
#define BOARD_ACCEL_INT2_PORT PORTA /*!<@brief PORT device name: PORTA */
#define BOARD_ACCEL_INT2_PIN 2U     /*!<@brief PORTA pin index: 2 */
                                    /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitACCEL_I2CPins(void);

#define SOPT5_UART0ODE_DISABLED 0x00u  /*!<@brief UART0 Open Drain Enable: Open drain is disabled on UART0 */
#define SOPT5_UART0RXSRC_UART_RX 0x00u /*!<@brief UART 0 Receive Data Source Select: UART0_RX pin */
#define SOPT5_UART0TXSRC_UART_TX 0x00u /*!<@brief UART 0 Transmit Data Source Select: UART0_TX pin */

/*! @name PORTB16 (number 39), J24[9]/J500[7]/J506[2]/U512[2]/RXD0
  @{ */
#define BOARD_DEBUG_UART_RX_PORT PORTB /*!<@brief PORT device name: PORTB */
#define BOARD_DEBUG_UART_RX_PIN 16U    /*!<@brief PORTB pin index: 16 */
                                       /* @} */

/*! @name PORTB17 (number 40), J24[10]/J500[5]/J505[2]/U513[4]/TXD0
  @{ */
#define BOARD_DEBUG_UART_TX_PORT PORTB /*!<@brief PORT device name: PORTB */
#define BOARD_DEBUG_UART_TX_PIN 17U    /*!<@brief PORTB pin index: 17 */
                                       /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitDEBUG_UARTPins(void);

/*! @name PORTA18 (number 32), Y500[3]/EXTAL0
  @{ */
#define BOARD_EXTAL0_PORT PORTA /*!<@brief PORT device name: PORTA */
#define BOARD_EXTAL0_PIN 18U    /*!<@brief PORTA pin index: 18 */
                                /* @} */

/*! @name PORTA19 (number 33), Y500[1]/XTAL0
  @{ */
#define BOARD_XTAL0_PORT PORTA /*!<@brief PORT device name: PORTA */
#define BOARD_XTAL0_PIN 19U    /*!<@brief PORTA pin index: 19 */
                               /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitOSCPins(void);

#if defined(__cplusplus)
}
#endif

/*!
 * @}
 */
#endif /* _PIN_MUX_H_ */

/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
